Subject: Re: How can we make more use of memory for TCP properly?

From: Andi Kleen <[email-masked]>
Date: Wed, 14 Jun 2006 07:20:20 +0200

> Accorting to TCP man page, the kernel calculates the values of 
> sysctl_tcp_mem depending on available physical memory at boot time.
> I added 2GB RAM to a machine that had 2GB, and then it has 4GB RAM now. 
> However, the value of sysctl_tcp_mem[2] has not changed from 196608 
> (pages). The machine is running at Linux 2.6.16.5 i686 Intel(R) 
> Pentium(R) 4 CPU 3.06GHz.

TCP can only use low memory for this which is limited to around 900MB 
on 32bit systems. 64bit CPUs don't have this problem.

-Andi